org.tmatesoft.svn.core.wc.admin

## Class SVNSyncInfo

- java.lang.Object
- - org.tmatesoft.svn.core.wc.admin.SVNSyncInfo

    public class SVNSyncInfo
    extends java.lang.Object

SVNSyncInfo represents information on repository synchronization

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SVNSyncInfo(java.lang.String srcURL, java.lang.String sourceRepositoryUUID, long lastMergedRevision)` Creates a new `SVNSyncInfo` object.

### Method Summary

Methods
`long` `getLastMergedRevision()` Returns the last revision of the source repository synchronized with.
`java.lang.String` `getSourceRepositoryUUID()` Returns the source repository UUID.
`java.lang.String` `getSrcURL()` Returns the url of the source repository.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNSyncInfo

    public SVNSyncInfo(java.lang.String srcURL,
               java.lang.String sourceRepositoryUUID,
               long lastMergedRevision)

Creates a new `SVNSyncInfo` object.

Parameters:
  `srcURL` - url of the source repository to synchronize with
  `sourceRepositoryUUID` - uuid of the source repository
  `lastMergedRevision` - last source repository revision synchronized with
Since:
  1.3

### Method Detail

#### getSrcURL

    public java.lang.String getSrcURL()

Returns the url of the source repository.

Returns:
  url of the source repository synchronized with
Since:
  1.3

#### getSourceRepositoryUUID

    public java.lang.String getSourceRepositoryUUID()

Returns the source repository UUID.

Returns:
  source repository UUID
Since:
  1.3

#### getLastMergedRevision

    public long getLastMergedRevision()

Returns the last revision of the source repository synchronized with.

Returns:
  last merged revision
Since:
  1.3